# Uses of Enum Class
javafx.scene.layout.Priority

Packages that use Priority
Package
Description
javafx.scene.layout
Provides classes to support user interface layout.

## Uses of Priority in javafx.scene.layout

Methods in javafx.scene.layout that return Priority
Modifier and Type
Method
Description
`final Priority`
ColumnConstraints.`getHgrow()`
Gets the value of the `hgrow` property.
`static Priority`
GridPane.`getHgrow(Node child)`
Returns the child's hgrow constraint if set.
`static Priority`
HBox.`getHgrow(Node child)`
Returns the child's hgrow constraint if set.
`static Priority`
GridPane.`getVgrow(Node child)`
Returns the child's vgrow constraint if set.
`final Priority`
RowConstraints.`getVgrow()`
Gets the value of the `vgrow` property.
`static Priority`
VBox.`getVgrow(Node child)`
Returns the child's vgrow property if set.
`static Priority`
Priority.`max(Priority a, Priority b)`
Convenience method for returning the higher of two priorities.
`static Priority`
Priority.`min(Priority a, Priority b)`
Convenience method for returning the lower of two priorities.
`static Priority`
Priority.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Priority[]`
Priority.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.layout that return types with arguments of type Priority
Modifier and Type
Method
Description
`final ObjectProperty<Priority>`
ColumnConstraints.`hgrowProperty()`
The horizontal grow priority for the column.
`final ObjectProperty<Priority>`
RowConstraints.`vgrowProperty()`
The vertical grow priority for the row.
Methods in javafx.scene.layout with parameters of type Priority
Modifier and Type
Method
Description
`static Priority`
Priority.`max(Priority a, Priority b)`
Convenience method for returning the higher of two priorities.
`static Priority`
Priority.`min(Priority a, Priority b)`
Convenience method for returning the lower of two priorities.
`static void`
GridPane.`setConstraints(Node child, int columnIndex, int rowIndex, int columnspan, int rowspan, HPos halignment, VPos valignment, Priority hgrow, Priority vgrow)`
Sets the grid position, spans, and alignment for the child when contained in a gridpane.
`static void`
GridPane.`setConstraints(Node child, int columnIndex, int rowIndex, int columnspan, int rowspan, HPos halignment, VPos valignment, Priority hgrow, Priority vgrow, Insets margin)`
Sets the grid position, spans, alignment, grow priorities, and margin for the child when contained in a gridpane.
`final void`
ColumnConstraints.`setHgrow(Priority value)`
Sets the value of the `hgrow` property.
`static void`
GridPane.`setHgrow(Node child, Priority value)`
Sets the horizontal grow priority for the child when contained by a gridpane.
`static void`
HBox.`setHgrow(Node child, Priority value)`
Sets the horizontal grow priority for the child when contained by an hbox.
`static void`
GridPane.`setVgrow(Node child, Priority value)`
Sets the vertical grow priority for the child when contained by a gridpane.
`final void`
RowConstraints.`setVgrow(Priority value)`
Sets the value of the `vgrow` property.
`static void`
VBox.`setVgrow(Node child, Priority value)`
Sets the vertical grow priority for the child when contained by an vbox.
Constructors in javafx.scene.layout with parameters of type Priority
Modifier
Constructor
Description
``
`ColumnConstraints(double minWidth, double prefWidth, double maxWidth, Priority hgrow, HPos halignment, boolean fillWidth)`
Creates a column constraint object with a fixed size range, horizontal grow priority, horizonal alignment, and horizontal fill behavior.
``
`RowConstraints(double minHeight, double prefHeight, double maxHeight, Priority vgrow, VPos valignment, boolean fillHeight)`
Creates a row constraint object with a fixed size range, vertical grow priority, vertical alignment, and vertical fill behavior.